# List VPC endpoint configurations

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/vpc-endpoints`

Lists Databricks VPC endpoint configurations for an account.

API scopes: networking

Clouds: AWS, GCP

## Path parameters

- `account_id` (string, required)

## Returns

Returns a list of VpcEndpoint objects.

## Response

```json
[
  {
    "vpc_endpoint_id": "string",
    "account_id": "string",
    "vpc_endpoint_name": "string",
    "aws_vpc_endpoint_id": "string",
    "aws_endpoint_service_id": "string",
    "use_case": "WORKSPACE_ACCESS",
    "region": "string",
    "aws_account_id": "string",
    "state": "string",
    "gcp_vpc_endpoint_info": {
      "psc_connection_id": "string",
      "project_id": "string",
      "psc_endpoint_name": "string",
      "endpoint_region": "string",
      "service_attachment_id": "string"
    }
  }
]
```

